cURL
curl --request GET \ --url https://aodocs.altirnao.com/api/domain/v1beta1/roles \ --header 'Authorization: Bearer <token>'
{ "kind": "<string>", "roles": [ { "aclEntries": [ { "addedBy": "<string>", "addedTime": "2023-11-07T05:31:56Z", "classId": "<string>", "className": "<string>", "description": "<string>", "displayName": "<string>", "displayName_i18n": "<string>", "thumbnailPictureUrl": "<string>", "type": "USER", "value": "<string>" } ], "description": "<string>", "id": "<string>", "kind": "<string>", "name": "<string>", "name_i18n": "<string>", "privileges": {}, "type": "LIBRARY" } ] }
Lists the domain roles.
Documentation IndexFetch the complete documentation index at: https://api.aodocs.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
The domain
The security code
A ApiDomainRoleList response
Show child attributes